Index: boa/src/main/java/geniusweb/boa/BoaParty.java
===================================================================
--- boa/src/main/java/geniusweb/boa/BoaParty.java	(revision 20)
+++ boa/src/main/java/geniusweb/boa/BoaParty.java	(revision 21)
@@ -6,6 +6,6 @@
 import geniusweb.boa.acceptancestrategy.AcceptanceStrategy;
 import geniusweb.boa.biddingstrategy.BiddingStrategy;
+import geniusweb.inform.Settings;
 import geniusweb.opponentmodel.OpponentModel;
-import geniusweb.party.inform.Settings;
 import tudelft.utilities.logging.Reporter;
 
Index: boa/src/main/java/geniusweb/boa/BoaState.java
===================================================================
--- boa/src/main/java/geniusweb/boa/BoaState.java	(revision 20)
+++ boa/src/main/java/geniusweb/boa/BoaState.java	(revision 21)
@@ -12,7 +12,7 @@
 import geniusweb.boa.acceptancestrategy.AcceptanceStrategy;
 import geniusweb.boa.biddingstrategy.BiddingStrategy;
+import geniusweb.inform.Settings;
 import geniusweb.issuevalue.Bid;
 import geniusweb.opponentmodel.OpponentModel;
-import geniusweb.party.inform.Settings;
 import geniusweb.profile.Profile;
 import geniusweb.progress.Progress;
Index: boa/src/main/java/geniusweb/boa/DefaultBoa.java
===================================================================
--- boa/src/main/java/geniusweb/boa/DefaultBoa.java	(revision 20)
+++ boa/src/main/java/geniusweb/boa/DefaultBoa.java	(revision 21)
@@ -11,13 +11,13 @@
 import geniusweb.boa.acceptancestrategy.AcceptanceStrategy;
 import geniusweb.boa.biddingstrategy.BiddingStrategy;
+import geniusweb.inform.ActionDone;
+import geniusweb.inform.Finished;
+import geniusweb.inform.Inform;
+import geniusweb.inform.Settings;
+import geniusweb.inform.YourTurn;
 import geniusweb.issuevalue.Bid;
 import geniusweb.opponentmodel.OpponentModel;
 import geniusweb.party.Capabilities;
 import geniusweb.party.DefaultParty;
-import geniusweb.party.inform.ActionDone;
-import geniusweb.party.inform.Finished;
-import geniusweb.party.inform.Inform;
-import geniusweb.party.inform.Settings;
-import geniusweb.party.inform.YourTurn;
 import geniusweb.profileconnection.ProfileConnectionFactory;
 import geniusweb.profileconnection.ProfileInterface;
Index: boa/src/main/java/geniusweb/boa/acceptancestrategy/AcceptanceStrategy.java
===================================================================
--- boa/src/main/java/geniusweb/boa/acceptancestrategy/AcceptanceStrategy.java	(revision 20)
+++ boa/src/main/java/geniusweb/boa/acceptancestrategy/AcceptanceStrategy.java	(revision 21)
@@ -3,6 +3,6 @@
 import geniusweb.boa.BoaParty;
 import geniusweb.boa.BoaState;
+import geniusweb.inform.Settings;
 import geniusweb.issuevalue.Bid;
-import geniusweb.party.inform.Settings;
 
 /**
Index: boa/src/main/java/geniusweb/boa/acceptancestrategy/TimeDependentAcceptanceStrategy.java
===================================================================
--- boa/src/main/java/geniusweb/boa/acceptancestrategy/TimeDependentAcceptanceStrategy.java	(revision 20)
+++ boa/src/main/java/geniusweb/boa/acceptancestrategy/TimeDependentAcceptanceStrategy.java	(revision 21)
@@ -6,6 +6,6 @@
 import geniusweb.boa.BoaState;
 import geniusweb.boa.biddingstrategy.TimeDependentBiddingStrategy;
+import geniusweb.inform.Settings;
 import geniusweb.issuevalue.Bid;
-import geniusweb.party.inform.Settings;
 import geniusweb.profile.Profile;
 import geniusweb.profile.utilityspace.LinearAdditive;
Index: boa/src/main/java/geniusweb/boa/biddingstrategy/BiddingStrategy.java
===================================================================
--- boa/src/main/java/geniusweb/boa/biddingstrategy/BiddingStrategy.java	(revision 20)
+++ boa/src/main/java/geniusweb/boa/biddingstrategy/BiddingStrategy.java	(revision 21)
@@ -4,5 +4,5 @@
 import geniusweb.boa.BoaParty;
 import geniusweb.boa.BoaState;
-import geniusweb.party.inform.Settings;
+import geniusweb.inform.Settings;
 
 /**
Index: boa/src/main/java/geniusweb/boa/biddingstrategy/TimeDependentBiddingStrategy.java
===================================================================
--- boa/src/main/java/geniusweb/boa/biddingstrategy/TimeDependentBiddingStrategy.java	(revision 20)
+++ boa/src/main/java/geniusweb/boa/biddingstrategy/TimeDependentBiddingStrategy.java	(revision 21)
@@ -13,6 +13,6 @@
 import geniusweb.actions.PartyId;
 import geniusweb.boa.BoaState;
+import geniusweb.inform.Settings;
 import geniusweb.issuevalue.Bid;
-import geniusweb.party.inform.Settings;
 import geniusweb.profile.Profile;
 import geniusweb.profile.utilityspace.LinearAdditive;
Index: boa/src/test/java/geniusweb/boa/BoaPartyTest.java
===================================================================
--- boa/src/test/java/geniusweb/boa/BoaPartyTest.java	(revision 20)
+++ boa/src/test/java/geniusweb/boa/BoaPartyTest.java	(revision 21)
@@ -24,12 +24,12 @@
 import geniusweb.boa.biddingstrategy.BiddingStrategy;
 import geniusweb.connection.ConnectionEnd;
+import geniusweb.inform.ActionDone;
+import geniusweb.inform.Inform;
+import geniusweb.inform.Settings;
+import geniusweb.inform.YourTurn;
 import geniusweb.issuevalue.Bid;
 import geniusweb.issuevalue.DiscreteValue;
 import geniusweb.issuevalue.Domain;
 import geniusweb.opponentmodel.OpponentModel;
-import geniusweb.party.inform.ActionDone;
-import geniusweb.party.inform.Inform;
-import geniusweb.party.inform.Settings;
-import geniusweb.party.inform.YourTurn;
 import geniusweb.progress.Progress;
 import geniusweb.references.Parameters;
Index: boa/src/test/java/geniusweb/boa/acceptancestrategy/TimeDepAccStratTest.java
===================================================================
--- boa/src/test/java/geniusweb/boa/acceptancestrategy/TimeDepAccStratTest.java	(revision 20)
+++ boa/src/test/java/geniusweb/boa/acceptancestrategy/TimeDepAccStratTest.java	(revision 21)
@@ -16,6 +16,6 @@
 import geniusweb.bidspace.Interval;
 import geniusweb.boa.BoaState;
+import geniusweb.inform.Settings;
 import geniusweb.issuevalue.Bid;
-import geniusweb.party.inform.Settings;
 import geniusweb.profile.Profile;
 import geniusweb.profile.utilityspace.LinearAdditive;
@@ -46,4 +46,5 @@
 
 		TimeDependentAcceptanceStrategy ac = new TimeDependentAcceptanceStrategy() {
+			@Override
 			protected BidsWithUtility getBidspace(Profile profile) {
 				return testbidspace;
@@ -52,5 +53,5 @@
 		// we use default e=1, k=0 which means p(0)=1
 
-		when(progress.get(any())).thenReturn((Double) 0.0d);
+		when(progress.get(any())).thenReturn(0.0d);
 
 		when(linearprofile.getUtility(eq(bid1)))
@@ -67,4 +68,5 @@
 
 		TimeDependentAcceptanceStrategy ac = new TimeDependentAcceptanceStrategy() {
+			@Override
 			protected BidsWithUtility getBidspace(Profile profile) {
 				return testbidspace;
@@ -73,5 +75,5 @@
 		// we use default e=1, k=0 which means p(0)=1
 
-		when(progress.get(any())).thenReturn((Double) 0.0d);
+		when(progress.get(any())).thenReturn(0.0d);
 
 		when(linearprofile.getUtility(eq(bid1)))
@@ -87,4 +89,5 @@
 
 		TimeDependentAcceptanceStrategy ac = new TimeDependentAcceptanceStrategy() {
+			@Override
 			protected BidsWithUtility getBidspace(Profile profile) {
 				return testbidspace;
@@ -93,5 +96,5 @@
 		// we use default e=1, k=0 which means p(1)=0
 
-		when(progress.get(any())).thenReturn((Double) 1.0d);
+		when(progress.get(any())).thenReturn(1.0d);
 
 		when(linearprofile.getUtility(eq(bid1)))
@@ -110,4 +113,5 @@
 
 		TimeDependentAcceptanceStrategy ac = new TimeDependentAcceptanceStrategy() {
+			@Override
 			protected BidsWithUtility getBidspace(Profile profile) {
 				return testbidspace;
@@ -116,5 +120,5 @@
 		// we use default e=1, k=0 which means p(1)=resValue.
 
-		when(progress.get(any())).thenReturn((Double) 1.0d);
+		when(progress.get(any())).thenReturn(1.0d);
 
 		when(linearprofile.getUtility(eq(bid1)))
Index: boa/src/test/java/geniusweb/boa/biddingstrategy/TimeDepBidStratTest.java
===================================================================
--- boa/src/test/java/geniusweb/boa/biddingstrategy/TimeDepBidStratTest.java	(revision 20)
+++ boa/src/test/java/geniusweb/boa/biddingstrategy/TimeDepBidStratTest.java	(revision 21)
@@ -17,7 +17,7 @@
 import geniusweb.actions.Offer;
 import geniusweb.boa.BoaState;
+import geniusweb.inform.Settings;
 import geniusweb.issuevalue.Bid;
 import geniusweb.issuevalue.DiscreteValue;
-import geniusweb.party.inform.Settings;
 import geniusweb.profile.utilityspace.LinearAdditive;
 import geniusweb.progress.Progress;
@@ -46,4 +46,5 @@
 
 		biddingstrat = new TimeDependentBiddingStrategy() {
+			@Override
 			protected ExtendedUtilSpace getBidSpace(LinearAdditive profile) {
 				return extUtilSpace;
